ExpressionTree.Operator (Hive Storage API 2.1.1-pre-orc API)
Date: 2016-10-19

org.apache.hadoop.hive.ql.io.sarg

## Enum ExpressionTree.Operator

- java.lang.Object
- - java.lang.Enum<ExpressionTree.Operator>
  - - org.apache.hadoop.hive.ql.io.sarg.ExpressionTree.Operator

- All Implemented Interfaces:
    Serializable, Comparable<ExpressionTree.Operator>
  Enclosing class:
    ExpressionTree

      public static enum ExpressionTree.Operator
      extends Enum<ExpressionTree.Operator>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AND`
    `CONSTANT`
    `LEAF`
    `NOT`
    `OR`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ExpressionTree.Operator` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ExpressionTree.Operator[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OR

          public static final ExpressionTree.Operator OR

    - #### AND

          public static final ExpressionTree.Operator AND

    - #### NOT

          public static final ExpressionTree.Operator NOT

    - #### LEAF

          public static final ExpressionTree.Operator LEAF

    - #### CONSTANT

          public static final ExpressionTree.Operator CONSTANT

  - ### Method Detail

    - #### values

          public static ExpressionTree.Operator[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ExpressionTree.Operator c : ExpressionTree.Operator.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ExpressionTree.Operator valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2016 The Apache Software Foundation. All rights reserved.